caption: Control usage of Android apps from untrusted sources for the device
default: 0
desc: |-
  This policy controls the usage of Android apps from untrusted sources (other than Google Play Store) for a device.

        If the value for this policy is not set, then the functionality is treated as disallowed.

        The availability of this functionality is additionally dependant on the corresponding user policy.
device_only: true
example_value: 1
features:
  dynamic_refresh: true
future_on:
- chrome_os
items:
- caption: Prevent users of this device from using ADB sideloading, without forcing
    a powerwash, which might leave the device in a questionable state security-wise
  name: Disallow
  value: 0
- caption: Prevent users of this device from using ADB sideloading and force a device
    powerwash if sideloading was enabled before
  name: DisallowWithPowerwash
  value: 1
- caption: Allow affiliated users of this device to use ADB sideloading
  name: AllowForAffiliatedUsers
  value: 2
owners:
- janagrill@google.com
- okalitova@chromium.org
schema:
  enum:
  - 0
  - 1
  - 2
  type: integer
tags:
- system-security
type: int-enum
